alter profile default limit password_life_time unlimited;

-- non ASM tablespace
CREATE TABLESPACE "VNTSGATE" DATAFILE
    '/oradata/svfe/vntsgate01.dbf' SIZE 52428800
    AUTOEXTEND ON NEXT 10485760 MAXSIZE 32767M
    LOGGING ONLINE PERMANENT BLOCKSIZE 8192
  EXTENT MANAGEMENT LOCAL AUTOALLOCATE DEFAULT
 NOCOMPRESS  SEGMENT SPACE MANAGEMENT AUTO;

-- ASM tablespace
CREATE TABLESPACE VNTSGATE LOGGING DATAFILE
    '+DATA'
    SIZE 200M
    REUSE
    AUTOEXTEND ON NEXT 20M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

create user VNTSGATE1
    identified by "9ERxwm_KXsBWL"
    default tablespace VNTSGATE
    temporary tablespace TEMP
    profile default
    account unlock
/


GRANT "CONNECT" TO "VNTSGATE1";
GRANT "RESOURCE" TO "VNTSGATE1";


GRANT UNLIMITED TABLESPACE TO "VNTSGATE1";


GRANT SELECT ON "SYS"."V_$SESSION" TO "VNTSGATE1";
GRANT SELECT ON "SYS"."DBA_PROFILES" TO "VNTSGATE1";
GRANT SELECT ON "SYS"."DBA_USERS" TO "VNTSGATE1";
GRANT EXECUTE ON "SYS"."DBMS_LOCK" TO "VNTSGATE1";
GRANT EXECUTE ON "SYS"."DBMS_PIPE" TO "VNTSGATE1";


ALTER USER "VNTSGATE" DEFAULT ROLE ALL;
grant create view to VNTSGATE;
grant create table to VNTSGATE;
grant create sequence to VNTSGATE;
grant create trigger to VNTSGATE;
